Subject: Re: [bug#73439] [PATCH 00/10] Update libreoffice to its latest version.

From: Liliana Marie Prikler <[email-masked]>
Date: Wed, 25 Sep 2024 17:43:53 +0200

Am Mittwoch, dem 25.09.2024 um 09:52 +0200 schrieb Nicolas Graves:
> On 2024-09-24 19:03, Liliana Marie Prikler wrote:
> 
> > > That said, it is very doable to have two with a -lts version.
> > I agree, having an LTS is probably enough.  So can we cut this
> > short by keeping the separate ones you mention and also keep
> > 24.2.6.2 as the LTS?
> 
> Done in a v2, but I'm not actually sure it's a great solution. The
> issue is that the "LTS" is supported for 8 months (february to
> november 2024 for 24.2). That means we have an overlap of main and
> lts versions for only 2 months, and then libreoffice probably
> recommends only the 24.8 stable release (from memory, the page had a
> single release a few months prior, or we can wait and see until
> november).
> 
> Keeping it in Guix would label -lts something that is not supported
> by upstream 2/3rd of a year.
> 
> I only see two relevant solutions:
> - following the latest stable release (which is stable, it's not a
> beta, there is a prerelease version currently at 24.8.2)
> - wait with 24.2 until november and then switch to 24.8
I think we should strive to be as up-to-date as possible, but I see no
harm with keeping a 24.2 version until November.  WDYT?